@import url("../css2-1");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Raleway", sans-serif;
}

:root {
  /* --primary-clr: #3d52a0; */
  --primary-theme: #00173e;
  --secondary-clr: #7091e6;
  --white-clr: #fff;
  --gray-clr: #8697c4;
  --light-gray-clr: #adbbda;
  --light-white-clr: #ede8f5;
  --dark-clr: #00173c;
}

body{
  width: 100%;
  overflow-x: hidden;
}

/* ------------------ preloader ----------------------------- */
#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #f4f4f4;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

.loader {
  border: 8px solid #f3f3f3; /* Light gray */
  border-top: 8px solid #3498db; /* Blue */
  border-radius: 50%;
  width: 60px;
  height: 60px;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  0% {
      transform: rotate(0deg);
  }
  100% {
      transform: rotate(360deg);
  }
}

/* ------------------ popup ----------------------------- */

.popup {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.707);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;
  opacity: 0; /* Start hidden */
  visibility: hidden; /* Prevent interactions when hidden */
  transition: opacity 0.4s ease, visibility 0.4s ease;
}

.popup.visible {
  opacity: 1;
  visibility: visible;
}

.popup.hidden {
  opacity: 0;
  visibility: hidden;
}

.popup-content {
  position: relative;
  background: white;
  padding: 20px;
  border-radius: 8px;
  text-align: center;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
  transform: scale(0.8); /* Start smaller */
  animation: popupOpen 0.4s ease forwards;
}

.popup.hidden .popup-content {
  animation: popupClose 0.4s ease forwards;
}

.close {
  position: absolute;
  top: 10px;
  right: 15px;
  font-size: 20px;
  font-weight: bold;
  cursor: pointer;
}

/* Keyframes for the content animation */
@keyframes popupOpen {
  from {
    transform: scale(0.8);
  }
  to {
    transform: scale(1);
  }
}

@keyframes popupClose {
  from {
    transform: scale(1);
  }
  to {
    transform: scale(0.8);
  }
}

/* body {
    overflow: hidden !important;
} */
/* herosection  -------------------------- */
.herosection {
  /* border: 1px solid red; */
  background: var(--white-clr);
  /* padding: 30px 0 40px 0; */
  border-bottom-left-radius: 30px;
  border-bottom-right-radius: 30px;
  position: relative;
  z-index: 10;
  overflow: hidden;

  height: 100vh;

  -webkit-box-shadow: -2px 26px 29px -9px rgba(158, 158, 158, 1);
  -moz-box-shadow: -2px 26px 29px -9px rgba(158, 158, 158, 1);
  box-shadow: -2px 26px 29px -9px rgba(158, 158, 158, 1);
}

.herosection #myVideo {
  /* border: 10px solid yellow; */
  height: 130vh;
  width: 100%;
  position: absolute;
  border-bottom-left-radius: 30px;
  border-bottom-right-radius: 30px;
  z-index: -1;
}

.head_bold {
  font-weight: 800;
}
.herosection_wrapper {
  /* border: 1px solid red; */
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
}
/* .herosection_wrapper .navbar {
    margin-top: 30px;
} */
.herosection_wrapper .herosection_buttons {
  /* color: var(--gray-clr); */
  /* text-align: center; */
  margin: 600px 0 30px 0;
}

.herosection_wrapper .herosection_buttons {
  /* border: 1px solid red; */
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  /* padding-bottom: 100px; */
}
.herosection_wrapper .herosection_buttons a {
  text-decoration: none;
  padding: 12px 36px;
  border-radius: 30px;
}
.herosection_wrapper .herosection_buttons a:first-child {
  /* border: 3px solid red; */
  color: var(--white-clr);
  background-color: var(--primary-theme);
  margin-right: 30px;
  transition: all 1s;
  font-weight: bold;
}
.herosection_wrapper .herosection_buttons a:first-child:hover {
  color: var(--primary-theme);
  background-color: transparent;
  border: 3px solid var(--primary-theme);
}
.herosection_wrapper .herosection_buttons a:last-child {
  color: var(--white-clr);
  border: 3px solid var(--primary-theme);
  background-color: var(--primary-theme);
  margin-right: 30px;
  transition: all 1s;
  font-weight: bold;
}
.herosection_wrapper .herosection_buttons a:last-child:hover {
  color: var(--primary-theme);
  background-color: transparent;
  border: 3px solid var(--primary-theme);
}

.animated_names {
  /* border: 1px solid #000; */
  /* border-bottom-left-radius: 30px; */
  /* border-bottom-right-radius: 30px; */
  position: relative;
  width: 100%;
  margin: auto;
  margin-top: 53px;
  overflow: hidden;
  display: grid;
  place-items: center;
  /* background: linear-gradient(to bottom, #a2a2a26f, #6666664d); */
}

.animated_names img {
  /* border: 1px solid red; */
  /* width: 300px; */
  height: 70px;
  margin-right: 40px;
  /* box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px; */
}

.caroursel_primary {
  display: flex;
  animation: scroll-horizontal 150s linear infinite;
}

@keyframes scroll-horizontal {
  0% {
    transform: translateX(0%);
  }
  100% {
    transform: translateX(-100%);
  }
}

/* ------ responsive code starts ----- */

@media (max-width: 425px) {
  .herosection {
    /* border: 1px solid red; */
    background: var(--white-clr);
    /* padding: 30px 0 40px 0; */
    height: auto;
    /* padding-bottom: 30px; */
  }
  .herosection #myVideo {
    /* border: 10px solid yellow; */
    padding-top: 50px;
    border-radius: 0;
    height: auto;
  }
  .herosection_wrapper .herosection_buttons {
    margin: 300px 0 30px 0;
  }
  .herosection_wrapper .herosection_buttons a {
    padding: 10px 24px;
    font-size: 12px !important;
  }
}

@media (min-width: 426px) and (max-width: 768px) {
  .herosection {
    /* border: 1px solid red; */
    background: var(--white-clr);
    /* padding: 30px 0 40px 0; */
    height: auto;
    padding-bottom: 30px;
  }
  .herosection #myVideo {
    /* border: 10px solid yellow; */
    padding-top: 50px;
    border-radius: 0;
    height: auto;
  }
  .herosection_wrapper .herosection_buttons {
    margin: 300px 0 30px 0;
  }
  .herosection_wrapper .herosection_buttons a {
    padding: 10px 24px;
    font-size: 12px !important;
  }
}
@media (min-width: 769px) and (max-width: 979px) {
  .herosection {
    /* border: 1px solid red; */
    background: var(--white-clr);
    /* padding: 30px 0 40px 0; */
    height: auto;
    padding-bottom: 30px;
  }
  .herosection #myVideo {
    /* border: 10px solid yellow; */
    padding-top: 50px;
    border-radius: 0;
    height: auto;
  }
  .herosection_wrapper .herosection_buttons {
    margin: 300px 0 30px 0;
  }
  .herosection_wrapper .herosection_buttons a {
    padding: 10px 24px;
    font-size: 12px !important;
  }
}

@media (min-width: 980px) and (max-width: 1440px) {
  .herosection {
    /* border: 1px solid red; */
    background: var(--white-clr);
    /* padding: 30px 0 40px 0; */
    height: auto;
    padding-bottom: 30px;
  }
  .herosection #myVideo {
    /* border: 10px solid yellow; */
    padding-top: 50px;
    border-radius: 0;
    height: auto;
  }
  .herosection_wrapper .herosection_buttons {
    margin: 300px 0 30px 0;
  }
  .herosection_wrapper .herosection_buttons a {
    padding: 10px 24px;
    font-size: 12px !important;
  }
}

@media (min-width: 1560px) and (max-width: 1920px) {
  .herosection_wrapper {
    /* border: 1px solid red; */
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
  }
  /* .herosection_wrapper .navbar {
      margin-top: 30px;
  } */
  .herosection_wrapper .herosection_buttons {
    /* color: var(--gray-clr); */
    text-align: center;
    margin: 800px 0 30px 0;
  }
}

.abouthome_intro_img {
  display: flex;
  justify-content: center;
  align-items: center;
  /* border: 1px solid red; */
}

.new_video_section{
  width: 100%;
  height: 90vh;
  overflow: hidden;
  position: relative;
  border-radius: 0px 0px 40px 40px;
}

.new_video_section video{
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center center;
}

.new_video_section .hero_buttons{
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0px;
  left: 0px;
  display: flex;
  justify-content: center;
  align-items: end;
  padding-bottom: 100px;
  gap: 20px;
}

.new_video_section .hero_buttons a{
  color: #fff;
  font-weight: 500;
  padding: 10px 30px;
  border-radius: 30px;
  background: #00173e;
  border: 2px solid transparent;
  transition: .4s ease-in-out;
  cursor: pointer;
}

.new_video_section .hero_buttons a:hover{
  box-shadow: 4px 4px 0px #000;
  border: 1px solid #fff;
}

@media (max-width: 768px) {
  .new_video_section{
    height: 50vh;
  border-radius: 0px 0px 20px 20px;

  }

  .new_video_section .hero_buttons{
    padding-bottom: 20px;
  }
}
